VSTGUI: UIDescriptionListener Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
UIDescriptionListener Class Referenceabstract

`#include <uidescriptionlistener.h>`

Inheritance diagram for UIDescriptionListener:

## Public Member Functions
virtual | ~UIDescriptionListener () noexcept
virtual bool | doUIDescTemplateUpdate (UIDescription *desc, UTF8StringPtr name)=0
virtual void | onUIDescTagChanged (UIDescription *desc)=0
virtual void | onUIDescColorChanged (UIDescription *desc)=0
virtual void | onUIDescFontChanged (UIDescription *desc)=0
virtual void | onUIDescBitmapChanged (UIDescription *desc)=0
virtual void | onUIDescTemplateChanged (UIDescription *desc)=0
virtual void | onUIDescGradientChanged (UIDescription *desc)=0
virtual void | beforeUIDescSave (UIDescription *desc)=0

## Constructor & Destructor Documentation

## ◆ ~UIDescriptionListener()

virtual ~UIDescriptionListener | ( |  | ) |
| inlinevirtualnoexcept

## Member Function Documentation

## ◆ beforeUIDescSave()

virtual void beforeUIDescSave | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ doUIDescTemplateUpdate()

virtual bool doUIDescTemplateUpdate | ( | UIDescription * | desc,
|  | UTF8StringPtr | name )
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ onUIDescBitmapChanged()

virtual void onUIDescBitmapChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ onUIDescColorChanged()

virtual void onUIDescColorChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ onUIDescFontChanged()

virtual void onUIDescFontChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ onUIDescGradientChanged()

virtual void onUIDescGradientChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ onUIDescTagChanged()

virtual void onUIDescTagChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

## ◆ onUIDescTemplateChanged()

virtual void onUIDescTemplateChanged | ( | UIDescription * | desc | ) |
| pure virtual

Implemented in UIDescriptionListenerAdapter.

The documentation for this class was generated from the following file:

- uidescriptionlistener.h